<HTML><HEAD>
<TITLE>How To Run JFLAP</TITLE>
</HEAD><BODY>

<H1>How To Run JFLAP</H1>

<P>JFLAP 4.0b10 requires the presence of Java 1.4 or later.  If you do not have Java of this version or later, see <A HREF="http://java.sun.com/">Sun's Java page</A> for a download for your OS.</P>

<P>Assuming Java is properly installed on your system, running JFLAP requires only the presence of the <CODE>JFLAP.jar</CODE> file.  Here are instructions on how to run JFLAP once Java has been properly installed on several platforms:</P>

<TABLE WIDTH="100%" CELLPADDING="5" ALIGN="center">
<TR>
<TD><B>Mac OS X</B></TD>
<TD>Double click on the <CODE>JFLAP.jar</CODE> file.</TD>
</TR>
<TR>
<TD><B>Unix/Linux</B></TD>
<TD>From the directory with the <CODE>JFLAP.jar</CODE>, execute <CODE>java -jar JFLAP.jar</CODE> from your favorite shell.</TD>
</TR>
<TR>
<TD><B>Windows</B></TD>
<TD>Double click on the <CODE>JFLAP.jar</CODE> file.</TD>
<tr>
<td>
<td> <strong>If that doesn't work</strong>, then these steps:<br>
    
1) Make sure you have Java 1.4 installed <br>
2) If when you down download it, it tries to change its name to JFLAP.zip,
save it, then rename it to JFLAP.jar.

3) Now try double clicking on JFLAP.jar.
</TR>
<tr>
<td>
<td> <strong> If that doesn't work</strong>, try this... it may be slightly different
<br> depending on your version of Windows and how things are setup.<br>

<pre>
You should first associate .jar with a program.

To do associations, go to "My Computer", click on one of
your drives (C: for instance). When it is shown, choose
"tools->folder options" (or properties... it's in different
places depending on the windows version)

When you get the folder options window, click on the tab "file
types". You should be able to either edit or add JAR files
(.jar extension) and go to "Advanced" ... keep going ... the
action, if it asks, should be 'open', and then you should be
able to edit the command associated with the 'open' action. The
command should be:

c:\full\path\to\java.exe -jar %1

Note that the instructions on finding the right place to type
that in are kind of ambiguous -- I'm using win2k and I know it's
a little different for other windows versions, so just look
around that area in the menus and you'll find it!
</pre>
</TABLE>



<P>Following this, JFLAP <EM>should</EM> start with the list of different structures to start with.  If it does not, check your Java installation.</P>

</BODY></HTML>
